Debian Bug report logs - #690372
mochikit: Contains broken reference to licence text

version graph

Package: src:mochikit; Maintainer for src:mochikit is Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>;

Reported by: Bart Martens <bartm@debian.org>

Date: Mon, 1 Oct 2012 05:57:01 UTC

Severity: serious

Tags: patch

Found in version mochikit/1.4.2-3

Fixed in version mochikit/1.4.2-4

Done: Marcelo Jorge Vieira (metal) <metal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#689285; Package tgmochikit. (Mon, 01 Oct 2012 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 01 Oct 2012 05:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: submit@bugs.debian.org
Subject: tgmochikit: contains files without license
Date: Mon, 1 Oct 2012 05:52:55 +0000
Package: tgmochikit
Version: 1.4.2-2
Severity: serious

The file tgmochikit/static/javascript/1.4_r1383/unpacked/Sortable.js contains
this :

  |  Copyright (c) 2005 Thomas Fuchs (http://script.aculo.us, http://mir.aculo.us)
  |      Mochi-ized By Thomas Herve (_firstname_@nimail.org)
  |  
  |  See scriptaculous.js for full license.

I don't find any file named scriptaculous.js in the package.




Bug 689285 cloned as bug 690372 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 12:33:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'mochikit: Contains broken reference to licence text' from 'tgmochikit: contains files without license' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 12:33:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#690372; Package tgmochikit. (Sat, 13 Oct 2012 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 13 Oct 2012 14:33:03 GMT) Full text and rfc822 format available.

Message #14 received at 690372@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 690372@bugs.debian.org
Subject: Re: mochikit: Contains broken reference to licence text
Date: Sat, 13 Oct 2012 15:29:15 +0100
[Message part 1 (text/plain, inline)]
Control: tags -1 patch

Trivial fix attached.

Ben.

diff -Nru mochikit-1.4.2/debian/changelog mochikit-1.4.2/debian/changelog
--- mochikit-1.4.2/debian/changelog	2010-06-03 16:06:17.000000000 +0100
+++ mochikit-1.4.2/debian/changelog	2012-10-13 13:36:56.000000000 +0100
@@ -1,3 +1,12 @@
+mochikit (1.4.2-3.1) UNRELEASED; urgency=low
+
+  * Non-maintainer upload.
+  * Remove the text 'See scriptaculous.js for full license' from
+    Sortable.js.  The full licence is really in LICENSE.txt and
+    debian/copyright. (Closes: #690372)
+
+ -- Ben Hutchings <ben@decadent.org.uk>  Sat, 13 Oct 2012 13:31:22 +0100
+
 mochikit (1.4.2-3) unstable; urgency=low
 
   * Updated Standards-Version to 3.8.4 (no changes)
diff -Nru mochikit-1.4.2/debian/patches/remove-broken-licence-reference.patch mochikit-1.4.2/debian/patches/remove-broken-licence-reference.patch
--- mochikit-1.4.2/debian/patches/remove-broken-licence-reference.patch	1970-01-01 01:00:00.000000000 +0100
+++ mochikit-1.4.2/debian/patches/remove-broken-licence-reference.patch	2012-10-13 13:38:45.000000000 +0100
@@ -0,0 +1,17 @@
+Description: Remove broken licence reference from Sortable.js
+ The full licence is really in LICENSE.txt and debian/copyright.
+Author: Ben Hutchings <ben@decadent.org.uk>
+Bug-Debian: http://bugs.debian.org/690372
+
+---
+--- mochikit-1.4.2.orig/lib/MochiKit/Sortable.js
++++ mochikit-1.4.2/lib/MochiKit/Sortable.js
+@@ -2,8 +2,6 @@
+ Copyright (c) 2005 Thomas Fuchs (http://script.aculo.us, http://mir.aculo.us)
+     Mochi-ized By Thomas Herve (_firstname_@nimail.org)
+ 
+-See scriptaculous.js for full license.
+-
+ ***/
+ 
+ MochiKit.Base._deps('Sortable', ['Base', 'Iter', 'DOM', 'Position', 'DragAndDrop']);
diff -Nru mochikit-1.4.2/debian/patches/series mochikit-1.4.2/debian/patches/series
--- mochikit-1.4.2/debian/patches/series	1970-01-01 01:00:00.000000000 +0100
+++ mochikit-1.4.2/debian/patches/series	2012-10-13 13:38:09.000000000 +0100
@@ -0,0 +1 @@
+remove-broken-licence-reference.patch


-- 
Ben Hutchings
Humans are not rational beings; they are rationalising beings.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Ben Hutchings <ben@decadent.org.uk> to 690372-submit@bugs.debian.org. (Sat, 13 Oct 2012 14:33:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'tgmochikit' to 'src:mochikit'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 22:39:10 GMT) Full text and rfc822 format available.

No longer marked as found in versions 1.4.2-2. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 22:39:10 GMT) Full text and rfc822 format available.

Marked as found in versions mochikit/1.4.2-3. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 22:39:11 GMT) Full text and rfc822 format available.

Reply sent to Marcelo Jorge Vieira (metal) <metal@debian.org>:
You have taken responsibility. (Thu, 01 Nov 2012 19:51:05 GMT) Full text and rfc822 format available.

Notification sent to Bart Martens <bartm@debian.org>:
Bug acknowledged by developer. (Thu, 01 Nov 2012 19:51:06 GMT) Full text and rfc822 format available.

Message #27 received at 690372-close@bugs.debian.org (full text, mbox):

From: Marcelo Jorge Vieira (metal) <metal@debian.org>
To: 690372-close@bugs.debian.org
Subject: Bug#690372: fixed in mochikit 1.4.2-4
Date: Thu, 01 Nov 2012 19:47:29 +0000
Source: mochikit
Source-Version: 1.4.2-4

We believe that the bug you reported is fixed in the latest version of
mochikit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690372@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marcelo Jorge Vieira (metal) <metal@debian.org> (supplier of updated mochikit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 31 Oct 2012 12:53:15 -0200
Source: mochikit
Binary: libjs-mochikit
Architecture: source all
Version: 1.4.2-4
Distribution: unstable
Urgency: high
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Marcelo Jorge Vieira (metal) <metal@debian.org>
Description: 
 libjs-mochikit - JavaScript library inspired by Python
Closes: 690372
Changes: 
 mochikit (1.4.2-4) unstable; urgency=high
 .
   Thanks Ben Hutchings <ben@decadent.org.uk>
   * Remove the text 'See scriptaculous.js for full license' from
     Sortable.js.  The full licence is really in LICENSE.txt and
     debian/copyright. (Closes: #690372)
Checksums-Sha1: 
 946c4b09edbe5bf12845e7cfa28faaa03c1c1326 1986 mochikit_1.4.2-4.dsc
 d078eabfaa069a1adfa8da12dbfaba69b88c4b64 7898 mochikit_1.4.2-4.debian.tar.gz
 adfbeae044e5d614df77324b1589aeca63ddf0e3 372000 libjs-mochikit_1.4.2-4_all.deb
Checksums-Sha256: 
 288330808653f261bf6f1c3cc2abae5048b7319e0c6f5c83f3a940a95f53f95d 1986 mochikit_1.4.2-4.dsc
 786126c8ff2c6a5f95ca8abe68f92eca85049bd36409f765541155b2f20d2bd2 7898 mochikit_1.4.2-4.debian.tar.gz
 0e2728492886daf1ccde68e70dcd825657ca8322ee4716caf2ab092721b6a28a 372000 libjs-mochikit_1.4.2-4_all.deb
Files: 
 765d84fa331798e5fa9ce64de233623a 1986 web optional mochikit_1.4.2-4.dsc
 bb6a1dffe11a79e44e9a09db9e3dab00 7898 web optional mochikit_1.4.2-4.debian.tar.gz
 0a4277cc3adf32358ac225df7f3b762a 372000 web optional libjs-mochikit_1.4.2-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQktF0AAoJEAGffgcyZKXEfOcQAIswBljsw9XrqHdM1JRyzXky
4bix4LrW/rkOuYCdihUj5gw0ednS4HE8x8d173cblpfjEzUYzLzicT5h6HqCXakK
uk7oRQ/Q5AjWvAoioDQ0lX4GsV+i2ijV0AvywdCBUErWQj4Oaqht4FpZUgqqm07E
xrHzH0+iNLziCFgnl3IRDPFGv0bWJg15ajBBCBirFwPSLoWmSMptoEGvQESv6+fi
CvtgtJqfCBBAqmTOyiHB2P0Vp/KumPzKpixVEzb5I6qt6TJ5GCXGFH6/JRsxv7oB
VFDx1mtaFhomM1zy7xhuB3qpKqZeAgirMId1SlxY9gFKvhr1O6ZoaChNCFBNhviy
rn61VGhYTeJ3F5y0/SR+NF0F4RntWpnq77jmqKq9NUiAyKVq8jqgJZbmPkHOd9qK
c8sOuE4mWgNAzJQr6UAjqz6a7es/DkfnQE0c8CGYgQEOGyODokQvyZsjvgqCKSFp
mhjoOzA4puIg6um1FHNnZduw5bexu5CT0JXbBRJPINmx3mn5NGmDY93A3qMs7FSl
HH1QRX7ykvKrx7GdMkzVGrilqSR8YfQvZ1/YOQKslX1PsMxkGTeVUT5s2Lf9RVgG
T4rIKQed7M1XPgpPWD9HvX0OMQnANYH7yjAuZu7ze5d7JwkaNyUpRTxaFaTaLc5R
5KIW9ci1QRrT0GYtYCBz
=jM0w
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 08:14:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:30:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.